## org.omg.PortableServer.POAPackage
Class AdapterAlreadyExistsHolder

    java.lang.Object
      |
      +--org.omg.PortableServer.POAPackage.AdapterAlreadyExistsHolder

All Implemented Interfaces:
  Streamable

public final class AdapterAlreadyExistsHolder
extends java.lang.Object
implements Streamable

Holder class for : AdapterAlreadyExists

Author:
  OpenORB Compiler

Field Summary
`AdapterAlreadyExists` `value` Internal AdapterAlreadyExists value

Constructor Summary
`AdapterAlreadyExistsHolder()` Default constructor
`AdapterAlreadyExistsHolder(AdapterAlreadyExists initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read AdapterAlreadyExists from a marshalled stream
`TypeCode` `_type()` Return the AdapterAlreadyExists TypeCode
`void` `_write(OutputStream ostream)` Write AdapterAlreadyExists into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public AdapterAlreadyExists value

  Internal AdapterAlreadyExists value

Constructor Detail

### AdapterAlreadyExistsHolder

    public AdapterAlreadyExistsHolder()

  Default constructor

### AdapterAlreadyExistsHolder

    public AdapterAlreadyExistsHolder(AdapterAlreadyExists initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read AdapterAlreadyExists from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write AdapterAlreadyExists into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the AdapterAlreadyExists TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode